Index: code/branches/hudHS14/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/hudHS14/data/overlays/HUDTemplates3.oxo	(revision 10148)
+++ code/branches/hudHS14/data/overlays/HUDTemplates3.oxo	(revision 10149)
@@ -82,6 +82,6 @@
      background        = "Orxonox/HealthBarBackground"
      size              = "0.35, 0.0875"
-     position          = "1 ,0"
-     pickpoint         = "0.6, 0.5"
+     position          = "1 ,0.1"
+     pickpoint         = "1, 1"
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
@@ -89,5 +89,5 @@
      textsize          = 0.039
      textoffset        = "0.315, 0.05"
-     textpickpoint     = "2, 1"
+     textpickpoint     = "0, 0"
      textalign         = "right"
      correctaspect     = false
Index: code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10148)
+++ code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10149)
@@ -82,5 +82,5 @@
         this->setNavMarkerSize(0.03f);
         this->setAimMarkerSize(0.02f);
-        this->setHealthMarkerSize(0.08f);
+        this->setHealthMarkerSize(0.06f);
 
         this->setDetectionLimit(10000.0f);
@@ -367,4 +367,13 @@
 
 
+                	//calculate the health of the actual selected radarViewable (while (0) is no health left, (1) is the initial health)
+
+                    Pawn* pawnPtr = (Pawn*) (it->first->getWorldEntity());
+                    float health = pawnPtr->getHealth();
+                    float initHealth = pawnPtr->getMaxHealth();
+                    float relativHealthScale = health/initHealth;
+
+                    //values from 0 to 10
+                    int discreteHealthScale = 10*relativHealthScale;
 
 
@@ -379,16 +388,15 @@
 
                         //
-                        it->second.health_->setMaterialName(TextureGenerator::getMaterialName("bar2.png", it->first->getRadarObjectColour()));
-                        it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x , this->healthMarkerSize_ * this->getActualSize().y);
+                        //it->second.health_->setMaterialName(TextureGenerator::getMaterialName("bar2_1.png", it->first->getRadarObjectColour()));
+                        it->second.health_->setMaterialName(TextureGenerator::getMaterialName("barSquare.png", it->first->getRadarObjectColour()));
+                        it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x , 0.75*this->healthMarkerSize_ * this->getActualSize().y);
                         it->second.wasOutOfView_ = false;
-                    }
-
-
-                    //calculate the health of the actual selected radarViewable (while (0) is no health left, (1) is the initial health)
-
-                    Pawn* pawnPtr = (Pawn*) (it->first->getWorldEntity());
-                    float health = pawnPtr->getHealth();
-                    float initHealth = pawnPtr->getMaxHealth();
-                    float relativHealthScale = health/initHealth;
+
+                        if(1<=discreteHealthScale){
+                        	it->second.health_->setTiling((float)discreteHealthScale , 1 ,0);
+                        	it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x *0.1*discreteHealthScale, 0.75*this->healthMarkerSize_ * this->getActualSize().y);
+                        }
+                    }
+
 
 
@@ -396,7 +404,13 @@
                     it->second.health_->setUV(0.0f, 0.0f, 1.0f, 1.0f);
                     it->second.health_->setLeft((pos.x + 0.975f - it->second.panel_->getWidth()) * 0.5f);
-                    it->second.health_->setTop((-pos.y + 1.025f - it->second.panel_->getHeight()) * 0.5f);
-                    it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x * relativHealthScale, this->healthMarkerSize_ * this->getActualSize().y);
-                    orxout() << relativHealthScale << endl;
+                    it->second.health_->setTop((-pos.y + 1.04f - it->second.panel_->getHeight()) * 0.5f);
+                   // it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x * relativHealthScale, 0.75*this->healthMarkerSize_ * this->getActualSize().y);
+
+
+                    if(1<=discreteHealthScale){
+                    it->second.health_->setTiling((float)discreteHealthScale , 1 ,0);
+                    it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x *0.1*discreteHealthScale, 0.75*this->healthMarkerSize_ * this->getActualSize().y);
+                    }
+
 
 
@@ -507,9 +521,10 @@
 
         // Create everything needed to display the object on the radar and add it to the map
+
         // Create health
                 Ogre::PanelOverlayElement* health = static_cast<Ogre::PanelOverlayElement*>( Ogre::OverlayManager::getSingleton()
                         .createOverlayElement("Panel", "HUDNavigation_healthMarker_" + getUniqueNumberString()));
                 //panel->setMaterialName("Orxonox/NavTDC");
-                health->setMaterialName(TextureGenerator::getMaterialName("bar2.png", object->getRadarObjectColour()));
+                health->setMaterialName(TextureGenerator::getMaterialName("barSquare.png", object->getRadarObjectColour()));
                 health->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
                 //panel->setColour(object->getRadarObjectColour());