Index: /code/branches/weaponupdateHS14/data/levels/FPS_Level_HS14.oxw
===================================================================
--- /code/branches/weaponupdateHS14/data/levels/FPS_Level_HS14.oxw	(revision 10154)
+++ /code/branches/weaponupdateHS14/data/levels/FPS_Level_HS14.oxw	(revision 10155)
@@ -288,11 +288,14 @@
 	<Model template	= "ss_flag_room" position="750,-16,0"	yaw=180 />
 	
+	<Model template	= "ss_machine" position="1545,190,370"	yaw=32 	pitch=180 />
+	<Model template	= "ss_flag_aean" position="1330,16,0"	pitch=180 />
 	
 	<Model template	= "ss_tube"	 	position="500,0,0" />
+	<Model template	= "ss_curve" 	position="-200,0,0" yaw=180 />
+	<Model template	= "ss_tube_x" 	position="-200,0,600" />
 
 <!--<Model template	= "ss_curve" 	position="-200,0,0" yaw=180 />
 	<Model template	= "ss_curve" 	position="-10,0,700" yaw=0 />
 	<Model template	= "ss_tube"		position="-700,0,700" />
-	<Model template	= "ss_tube"	 	position="-700,0,700" />
 	<Model template	= "ss_tube_x"	position="1200,0,0" />-->
 	
Index: /code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt
===================================================================
--- /code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt	(revision 10154)
+++ /code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt	(revision 10155)
@@ -146,11 +146,11 @@
 
 
-	<Model position="-80,0,100" 				mesh="cube_green.mesh" 	scale3D="80,100,0" />
+<!--<Model position="-80,0,100" 				mesh="cube_green.mesh" 	scale3D="80,100,0" />
 	<Model position="-160,0,150" 	yaw=90		mesh="cube_green.mesh" 	scale3D="50,200,0" />
 	<Model position="-220,0,260" 	yaw=55		mesh="cube_green.mesh" 	scale3D="140,200,0" />
 	<Model position="-360,0,390" 	yaw=33		mesh="cube_green.mesh" 	scale3D="110,200,0" />
 	<Model position="-600,16,430" 				mesh="cube_green.mesh" 	scale3D="200,200,0" />
-	<Model position="-810,156,400"	yaw=-33		mesh="cube_green.mesh" 	scale3D="150,50,0" />
-	<Model position="-810,156,270"	yaw=-55		mesh="cube_green.mesh" 	scale3D="150,50,0" />
+	<Model position="-810,16,405"	yaw=-32		mesh="cube_green.mesh" 	scale3D="150,200,0" />
+	<Model position="-965,166,270"	yaw=-55		mesh="cube_green.mesh" 	scale3D="150,50,0" />
 
 	<Model position="-80,0,-100" 				mesh="cube_red.mesh" 	scale3D="80,100,0" />
@@ -159,8 +159,8 @@
 	<Model position="-360,0,-390" 	yaw=-33		mesh="cube_red.mesh" 	scale3D="110,200,0" />
 	<Model position="-600,16,-430" 				mesh="cube_red.mesh" 	scale3D="200,200,0" />
-	<Model position="-810,156,-400" yaw=33		mesh="cube_red.mesh" 	scale3D="150,50,0" />
-	<Model position="-810,156,-270" yaw=55		mesh="cube_red.mesh" 	scale3D="150,50,0" />
-
-	<Model position="-1050,156,0" 				mesh="cube_orange.mesh" 	scale3D="0,50,160" />
+	<Model position="-810,16,-405"  yaw=32		mesh="cube_red.mesh" 	scale3D="150,200,0" />
+	<Model position="-965,166,-270" yaw=55		mesh="cube_red.mesh" 	scale3D="150,50,0" />	
+
+	<Model position="-1045,166,0" 				mesh="cube_orange.mesh" 	scale3D="0,50,160" />	-->
 
 
@@ -168,7 +168,10 @@
 
 	<Model position="-500,-200,0" 	mesh="cube_green.mesh" scale3D="400,0,400" />	
-	<Model position="-60,-84,0" 	mesh="cube_green.mesh" scale3D="60,0,100" />	-->
-	
-	<Model position="-1015,156,0" 	mesh="cube_orange.mesh" scale3D="25,25,120" />
+	<Model position="-60,-84,0" 	mesh="cube_green.mesh" scale3D="60,0,100" />	
+	
+	<Model position="-1015,156,0" 	mesh="cube_orange.mesh" scale3D="27,25,120" />	
+	<Model position="-580,185,0" 	mesh="cube_orange.mesh" scale3D="30,12,30" />
+	<Model position="-580,195,0" 	mesh="cube_orange.mesh" scale3D="50,10,50" />	-->
+
 
 
@@ -184,10 +187,10 @@
 
 	<!-- points for the orientation -->
-	<Model position="0,0,0" 			mesh="cube_orange.mesh" scale3D="10,10,10" />
+<!--<Model position="0,0,0" 			mesh="cube_orange.mesh" scale3D="10,10,10" />
 	<Model position="-260,0,0" 			mesh="cube_orange.mesh" scale3D="10,10,10" />
 	<Model position="-580,0,400" 		mesh="cube_orange.mesh" scale3D="10,10,10" />
 	<Model position="-580,0,-400" 		mesh="cube_orange.mesh" scale3D="10,10,10" />
 	
-	<Model position="-580,0,0" 			mesh="cube_orange.mesh" scale3D="10,10,10" />
+	<Model position="-580,0,0" 			mesh="cube_orange.mesh" scale3D="10,10,10" />	-->
 	
 
@@ -210,6 +213,6 @@
 		<BoxCollisionShape position="-360,0,390"  	yaw=33 		halfExtents="110,200,0" />	<!--Wand oben rechts-->
 		<BoxCollisionShape position="-600,16,430"  		 		halfExtents="200,200,0" />	<!--Wand unten rechts-->
-		<BoxCollisionShape position="-810,156,400"  yaw=-33 	halfExtents="100,50,0" />	<!--Wand unten rechts-->
-		<BoxCollisionShape position="-810,156,270"  yaw=-55 	halfExtents="100,50,0" />	<!--Wand unten rechts-->		
+		<BoxCollisionShape position="-810,16,405"   yaw=-32 	halfExtents="150,200,0" />	<!--Wand unten rechts-->
+		<BoxCollisionShape position="-965,166,270"  yaw=-55 	halfExtents="150,50,0" />	<!--Wand unten rechts-->		
 		
 		<BoxCollisionShape position="-80,0,-100"    	 		halfExtents="80,100,0" />	<!--Wand oben links-->
@@ -218,8 +221,8 @@
 		<BoxCollisionShape position="-360,0,-390" 	yaw=-33		halfExtents="110,200,0" />	<!--Wand oben links-->
 		<BoxCollisionShape position="-600,16,-430" 				halfExtents="200,200,0" />	<!--Wand unten links-->
-		<BoxCollisionShape position="-810,156,-400" yaw=33		halfExtents="100,50,0" />	<!--Wand unten links-->
-		<BoxCollisionShape position="-810,156,-270" yaw=55		halfExtents="100,50,0" />	<!--Wand unten links-->
-		
-		<BoxCollisionShape position="-1050,156,0" 				halfExtents="0,50,160" />	<!--Wand unten mitte-->
+		<BoxCollisionShape position="-810,16,-405"  yaw=32		halfExtents="150,200,0" />	<!--Wand unten links-->
+		<BoxCollisionShape position="-965,166,-270" yaw=55		halfExtents="150,50,0" />	<!--Wand unten links-->
+		
+		<BoxCollisionShape position="-1045,166,0" 				halfExtents="0,50,160" />	<!--Wand unten mitte-->
 		
 			
@@ -230,5 +233,7 @@
 		<BoxCollisionShape position="-60,-84,0"     			halfExtents="60,0,100" />	<!--decke oben-->
 		
-		<BoxCollisionShape position="-1015,156,0"     			halfExtents="25,25,120" />	<!--Tisch-->
+		<BoxCollisionShape position="-1015,156,0"     			halfExtents="27,25,120" />	<!--Tisch-->		
+		<BoxCollisionShape position="-580,185,0"     				halfExtents="30,12,30" />	<!--Stufe "Mittelpkt"-->
+		<BoxCollisionShape position="-580,195,0"     				halfExtents="50,10,50" />	<!--Stufe "Mittelpkt"-->
 		
 		
@@ -241,10 +246,5 @@
 		<BoxCollisionShape position="-500,185,-328"   yaw=-2  	roll=-25	halfExtents="100,35,0" />	<!--Wand innen-->
 		
-		
-		
-		<!--<BoxCollisionShape position="-255,121,0"    	 		halfExtents="0,85,125" />	<!--Wand aussen-->-->
-
-		
-      
+		      
      </collisionShapes>
  	   
@@ -261,5 +261,31 @@
 	<attached>
 
+
+	<!-- Boxes helps to place collisionShapes -->
+	
+<!--<Model position="0,80,0" 			mesh="cube_orange.mesh" scale3D="40,80,25" />	-->
+
 	<Model position="0,0,0" roll=0 scale3D="0.15,0.15,0.15" mesh="ss_machine.mesh" />
+
+	</attached>
+	 <collisionShapes>
+
+		<BoxCollisionShape position="0,80,0"    	 		halfExtents="40,80,25" />	<!--whole machine-->
+      
+     </collisionShapes>
+ 	 -->   
+    
+ 	 </MovableEntity>   
+roll=180 mesh="ss_table.mesh" scale3D="25,25,25"
+</Template>
+
+
+<!-- Spacestation Element Table-->		
+<Template name=ss_table>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" scale3D="25,25,25" mesh="ss_table.mesh"  />
 
 	</attached>
@@ -270,19 +296,19 @@
 		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
       
-     </collisionShapes>
- 	 -->   
-    
- 	 </MovableEntity>   
-roll=180 mesh="ss_table.mesh" scale3D="25,25,25"
-</Template>
-
-
-<!-- Spacestation Element Table-->		
-<Template name=ss_table>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table.mesh"  />
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+<!-- Spacestation Element Table (cracked) -->
+<Template name=ss_table_cracked>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table_cracked.mesh"  />
 
 	</attached>
@@ -301,11 +327,11 @@
 
 
-<!-- Spacestation Element Table (cracked) -->
-<Template name=ss_table_cracked>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table_cracked.mesh"  />
+<!-- Spacestation Element Cylinder -->
+<Template name=ss_cylinder>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_cylinder.mesh"  />
 
 	</attached>
@@ -324,11 +350,11 @@
 
 
-<!-- Spacestation Element Cylinder -->
-<Template name=ss_cylinder>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_cylinder.mesh"  />
+<!-- Spacestation Element Chair -->
+<Template name=ss_chair>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 pitch=0 scale3D="20,20,20" mesh="ss_chair.mesh"  />
 
 	</attached>
@@ -347,11 +373,11 @@
 
 
-<!-- Spacestation Element Chair -->
-<Template name=ss_chair>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 pitch=0 scale3D="20,20,20" mesh="ss_chair.mesh"  />
+<!-- Spacestation Element Wall -->
+<Template name=ss_wall>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="20,20,20" mesh="ss_wall.mesh"  />
 
 	</attached>
@@ -368,27 +394,4 @@
 
 </Template>
-
-
-<!-- Spacestation Element Wall -->
-<Template name=ss_wall>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="20,20,20" mesh="ss_wall.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
 	
 
@@ -399,18 +402,23 @@
 	<attached>
 
+	<!-- Boxes helps to place collisionShapes -->
+	
+<!--<Model position="0,0,0" 			mesh="cube_orange.mesh" scale3D="2,160,2" />
+	<Model position="0,108,80" 		mesh="cube_orange.mesh" scale3D="1,50,80" />	-->
+	
+
 	<Model position="0,0,0" roll=0 scale3D="40,40,40" mesh="ss_flag_aean.mesh"  />
 
 	</attached>
 	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-		
+
+		<BoxCollisionShape position="0,0,0"    	 		halfExtents="2,160,2" />	<!--Mast-->
+		<BoxCollisionShape position="0,108,80"    	 	halfExtents="1,50,80" />	<!--Flagge-->
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+		